module @jit_apply_fn attributes {mhlo.num_partitions = 1 : i32, mhlo.num_replicas = 1 : i32} {
  func.func public @main(%arg0: tensor<300xf32> {mhlo.layout_mode = "default"}, %arg1: tensor<784x300xf32> {mhlo.layout_mode = "default"}, %arg2: tensor<100xf32> {mhlo.layout_mode = "default"}, %arg3: tensor<300x100xf32> {mhlo.layout_mode = "default"}, %arg4: tensor<10xf32> {mhlo.layout_mode = "default"}, %arg5: tensor<100x10xf32> {mhlo.layout_mode = "default"}, %arg6: tensor<8x784xf32> {mhlo.layout_mode = "default"}) -> (tensor<8x10xf32> {jax.result_info = "", mhlo.layout_mode = "default"}) {
    %0 = stablehlo.dot_general %arg6, %arg1, contracting_dims = [1] x [0], precision = [DEFAULT, DEFAULT] : (tensor<8x784xf32>, tensor<784x300xf32>) -> tensor<8x300xf32>
    %1 = stablehlo.broadcast_in_dim %arg0, dims = [1] : (tensor<300xf32>) -> tensor<8x300xf32>
    %2 = stablehlo.add %0, %1 : tensor<8x300xf32>
    %3 = call @relu(%2) : (tensor<8x300xf32>) -> tensor<8x300xf32>
    %4 = stablehlo.dot_general %3, %arg3, contracting_dims = [1] x [0], precision = [DEFAULT, DEFAULT] : (tensor<8x300xf32>, tensor<300x100xf32>) -> tensor<8x100xf32>
    %5 = stablehlo.broadcast_in_dim %arg2, dims = [1] : (tensor<100xf32>) -> tensor<8x100xf32>
    %6 = stablehlo.add %4, %5 : tensor<8x100xf32>
    %7 = call @relu_0(%6) : (tensor<8x100xf32>) -> tensor<8x100xf32>
    %8 = stablehlo.dot_general %7, %arg5, contracting_dims = [1] x [0], precision = [DEFAULT, DEFAULT] : (tensor<8x100xf32>, tensor<100x10xf32>) -> tensor<8x10xf32>
    %9 = stablehlo.broadcast_in_dim %arg4, dims = [1] : (tensor<10xf32>) -> tensor<8x10xf32>
    %10 = stablehlo.add %8, %9 : tensor<8x10xf32>
    return %10 : tensor<8x10xf32>
  }
  func.func private @relu(%arg0: tensor<8x300xf32> {mhlo.layout_mode = "default"}) -> (tensor<8x300xf32> {mhlo.layout_mode = "default"}) {
    %cst = stablehlo.constant dense<0.000000e+00> : tensor<f32>
    %0 = stablehlo.broadcast_in_dim %cst, dims = [] : (tensor<f32>) -> tensor<8x300xf32>
    %1 = stablehlo.maximum %arg0, %0 : tensor<8x300xf32>
    return %1 : tensor<8x300xf32>
  }
  func.func private @relu_0(%arg0: tensor<8x100xf32> {mhlo.layout_mode = "default"}) -> (tensor<8x100xf32> {mhlo.layout_mode = "default"}) {
    %cst = stablehlo.constant dense<0.000000e+00> : tensor<f32>
    %0 = stablehlo.broadcast_in_dim %cst, dims = [] : (tensor<f32>) -> tensor<8x100xf32>
    %1 = stablehlo.maximum %arg0, %0 : tensor<8x100xf32>
    return %1 : tensor<8x100xf32>
  }
}
